function getProducerInfo() {
  jQuery('#about_waiting_content').attr("style", "display: block");
  jQuery('#about_waiting_logo').attr("style", "display: block");
  jQuery.ajax({
    url: "/wmi/index.php",
    type: "POST",
    dataType: "json",
    async: true,
    data: JSON.stringify({
      "cmd": "help_about",
      "token": UToken,
      "params": {
        "language": UNAS.CurrentLanguage
      }
    }),
    timeout: 30000,
    success: function(res) {
      var info = res.results || {};
      var introduction = info.introduction || [];
      jQuery('#about_phone').html(info.phone);
      jQuery('#about_address').html(info.address);
      jQuery('#about_site').html(info.homepage);
      jQuery('#about_email').html(info.email);
      jQuery('#about_title_img').attr("src", info.logo);
      var d = '';
      for (var i = 0; i < introduction.length; i++) {
        d += '<div style="text-indent: 2em">' + introduction[i] + '</div>';
      }
      jQuery('#nas_description').html(d);
    },
    complete: function() {
      jQuery('#about_waiting_content').attr("style", "display: none");
      jQuery('#about_waiting_logo').attr("style", "display: none");
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
    }
  });
}


(function() {
  getProducerInfo();
})();
