/**
* About App
* Implementing an About App
*/
var AboutApp = AboutApp || {};  //Define About App namespace.
/**
*Constructor UNAS App
*/
AboutApp.App = function () {
    this.id = 'About';
    this.name = 'About';
    this.version = '6.0.6';
    this.active = false;
    this.menuIcon = '/apps/about/images/logo.png?v=6.0.6&';
    this.shortcutIcon = '/apps/about/images/logo.png?v=6.0.6&';
    var self = this;
    this.AboutAppWindow = function () { //create app window
    self.window=new MUI.Modal({
            id: 'AboutAppWindow',
            title:UNAS._('About'),
            loadMethod: 'xhr',
            type: 'modal2',
            width: 500,
            height: 600,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            modalOverlayClose: false,
            contentURL: '/apps/about/about.html?v=6.0.6&',
            require: {  css: ['/apps/about/css/about.css'] }
        });
    };
    this.AboutUninstall = function () {
        UNAS.RemoveDesktopShortcut('About');
        UNAS.RemoveMenu('About');
    }

    // new UNAS.StartMenu('UNAS_Top_Menu', this.name, 'About', this.AboutAppWindow,'pre');
    this.ic_about = '/apps/about/images/about.svg?v=6.0.6&';
    this.hasChildren = true;
    new UNAS.StartMenu('UNAS_Top_Menu', this.name, 'About', this.AboutAppWindow,'pre',this.ic_about, this.hasChildren);
    //new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Information', 'Location' : 5, 'Icon': this.shortcutIcon, 'Url': this.entryUrl}, {});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', { 'Type': 'Information', 'Location': 5, 'Icon': this.shortcutIcon, 'Url': this.entryHelpUrl }, {});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('About', UNAS._('About'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('AboutAppWindow', UNAS._('About'));
        }
    }
    UNAS.LoadTranslation('/apps/about/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.AboutAppWindow, this.AboutUninstall);


};

new AboutApp.App();
