// alert(UNAS.CurrentLanguage);
function getClientWH() {
  var clientHeight = 0;
  if (document.body.clientHeight && document.documentElement.clientHeight) {
    clientHeight = Math.min(document.body.clientHeight, document.documentElement.clientHeight);
    clientWidth = Math.min(document.body.clientWidth, document.documentElement.clientWidth);
  } else {
    clientHeight = Math.max(document.body.clientHeight, document.documentElement.clientHeight);
    clientWidth = Math.max(document.body.clientWidth, document.documentElement.clientWidth);
  }

  return {
    w: clientWidth,
    h: clientHeight
  };
}

window.pageTranslatorLanguage = null;

var OnChangeLanguage = null;
var pageTranslators= [];

UNAS.LoadTranslation('/apps/about/languages/Translation');

OnChangeLanguage = function(e) {
  for (var i = 0; i < pageTranslators.length; i++) {
    var node = pageTranslators[i].node;
    var p = pageTranslators[i].translateProperty;
    node[p] = window.top.UNAS._(pageTranslators[i].originalText);
  }
  function pageTranslator(id) {
    let rt_c = document.getElementById(id);
    if (!rt_c) {
      return;
    }
    var tmp_pageTranslators = window.top.UNAS.CreateNodesTranslators(rt_c);
    pageTranslators = pageTranslators.concat(tmp_pageTranslators);
    OnChangeLanguage();
  }
  window.pageTranslatorLanguage = pageTranslator;
};
OnChangeLanguage();

window.top.UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
window.addEventListener("unload", function(e) {
  window.top.UNAS.Event.removeEvent('ChangeLanguage', OnChangeLanguage);
}, false);


var jsSrc = (navigator.language || navigator.browserLanguage).toLowerCase();
var lan = UNAS.CurrentLanguage;
if (jsSrc != 'zh-cn') {
  lan = 'English';
} else {
  lan = '简体中文';
}

var urlSearchParams = new URLSearchParams(window.location.search);
// 把键值对列表转换为一个对象
var params = Object.fromEntries(urlSearchParams.entries());

if (getCookie('login_lang')) {
  lan = unescape(window.atob(getCookie('login_lang')));
} else {
  if (params.l) {
    lan = params.l;
  } else {
    lan = sessionStorage.getItem('tempLang') || lan;
  }

}

UNAS.CurrentLanguage = lan;

var UToken;
var tokenArr = document.cookie.split("; ");
if (tokenArr) {
  for (var i = 0; i < tokenArr.length; i++) {
    if (tokenArr[i].search("PHPSESSID") !== -1) {
      UToken = tokenArr[i].split("=")[1]
    }
  }
} else {
  if (params.t) {
    UToken = params.t;
  }
}
